Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.examples.util
Class PrintImageLocations

    java.lang.Object
      org.pdfbox.util.PDFStreamEngine
          org.pdfbox.examples.util.PrintImageLocations

public class PrintImageLocations
extends PDFStreamEngine

This is an example on how to get the x/y coordinates of image locations. Usage: java org.pdfbox.examples.util.PrintImageLocations <input-pdf>

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield

Constructor Summary
`PrintImageLocations()` Default constructor.

Method Summary
`static void` | `main(String[] args)` This will print the documents data.
`protected void` | `processOperator(PDFOperator operator, List arguments)` This is used to handle an operation.

Methods inherited from class org.pdfbox.util.PDFStreamEngine
`getColorSpaces, getCurrentPage, getFonts, getGraphicsStack, getGraphicsState, getGraphicsStates, getResources, getTextLineMatrix, getTextMatrix, getXObjects, processOperator, processStream, processSubStream, registerOperatorProcessor, resetEngine, setColorSpaces, setFonts, setGraphicsStack, setGraphicsState, setGraphicsStates, setTextLineMatrix, setTextMatrix, showCharacter, showString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintImageLocations

    public PrintImageLocations()
                        throws IOException

  Default constructor.

Throws:
  `IOException` - If there is an error loading text stripper properties.

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  This will print the documents data.

  Parameters:
    `args` - The command line arguments.
  Throws:
    `Exception` - If there is an error parsing the document.

### processOperator

    protected void processOperator(PDFOperator operator,
                                   List arguments)
                            throws IOException

  This is used to handle an operation.

  Overrides:
    `processOperator` in class `PDFStreamEngine`
  Parameters:
    `operator` - The operation to perform.
    `arguments` - The list of arguments.
  Throws:
    `IOException` - If there is an error processing the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD